Get EndUserFiles
curl --request GET \
--url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"bank_statement": null,
"created": "2023-11-07T05:31:56Z",
"email": null,
"file_class": "<string>",
"file_source_metadata": {},
"filename": "<string>",
"heron_id": "<string>",
"iso_application": {
"heron_id": "iso_6hBjQT9k6KP2rLCXwjUJff",
"processing_status": "processed"
},
"num_pages": 123,
"page_classes": {},
"parent_heron_id": "<string>",
"parsed_results": [],
"processing_error": "<string>",
"reference_id": "<string>",
"renamed_filename": "<string>"
}
]EndUserFiles
Get EndUserFiles
Get all files for an end user
GET
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
files
Get EndUserFiles
Authorizations
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I